Now that it's live, don't forget to accept your certification badge on Credly today! Learn more here.
We are currently experiencing an issue with Email verification at this time and working towards a solution. Should you encounter this issue, please click on the "Send Verification Button" a second time and the request should go through. If the issue still persists for you, please email support@alteryx.com for assistance.

Alteryx Designer Knowledge Base

Definitive answers from Designer experts.

DE34405: Error: “TypeError: 'NoneType' object does not support item assignment” when no data is passed into Text Pre-processing tool

clarab
Alteryx
Alteryx
Created

Error: “TypeError: 'NoneType' object does not support item assignment” when no data is passed into Text Pre-processing tool

 

Environment Details


Text Pre-processing tool fails with an error if no data is passed in. Here's the error as seen in TextPre-Processing.txt:

 
2021-08-20 09:00:27,203 ERROR 'NoneType' object does not support item assignment
Traceback (most recent call last):
File "C:\Program Files\Alteryx\bin\Miniconda3\envs\IntelligenceSuite_venv\Lib\site-packages\ayx_nlp_toolkit\interfaces\text_preprocessing_interface.py", line 207, in generate_output_df
processed_corpus = create_processed_corpus(
File "C:\Program Files\Alteryx\bin\Miniconda3\envs\IntelligenceSuite_venv\Lib\site-packages\ayx_nlp_toolkit\utilities\text_preprocessing_utility_functions.py", line 230, in create_processed_corpus
for doc in nlp.pipe(text_series):
File "C:\Program Files\Alteryx\bin\Miniconda3\envs\IntelligenceSuite_venv\Lib\site-packages\spacy\language.py", line 814, in pipe
docs = (self.make_doc(text) for text in texts)
TypeError: 'NoneType' object is not iterable
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Program Files\Alteryx\bin\Miniconda3\envs\IntelligenceSuite_venv\Lib\site-packages\ayx_plugin_sdk\providers\e1_provider\connection_callback_strategy.py", line 130, in connection_closed_callback
self.plugin_proxy.plugin_driver.on_complete()
File "C:\Program Files\Alteryx\bin\Miniconda3\envs\IntelligenceSuite_venv\Lib\site-packages\ayx_plugin_sdk\providers\e1_provider\e1_plugin_driver.py", line 63, in on_complete
self._user_plugin.on_complete()
File "C:\Program Files\Alteryx\bin\Miniconda3\envs\IntelligenceSuite_venv\Lib\site-packages\ayx_nlp_toolkit\tools\text_preprocessing.py", line 104, in on_complete
output_df = self.text_preprocessing_interface.generate_output_df(
File "C:\Program Files\Alteryx\bin\Miniconda3\envs\IntelligenceSuite_venv\Lib\site-packages\ayx_nlp_toolkit\interfaces\text_preprocessing_interface.py", line 216, in generate_output_df
output_df[self.output] = text_series
TypeError: 'NoneType' object does not support item assignment
 
  • Alteryx Designer
    • Versions: 2021.1, 2021.2, 2021.3
  • Additional Tools
    • Alteryx Intelligence Suite


Cause

 

DE34406/TDES-3821 has been logged to address this.



 

Resolution

Please ensure that there is at least a record being passed into the Text pre-processing tool.
 

Additional Resources

No ratings